package flm.b4a.actionbardemo;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "flm.b4a.actionbardemo", "flm.b4a.actionbardemo.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "flm.b4a.actionbardemo", "flm.b4a.actionbardemo.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "flm.b4a.actionbardemo.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public flm.b4a.actionbardemo.clsactionbar _vvvvvvvv1 = null;
public flm.b4a.actionbardemo.clsactionbar _vvvvvvvv3 = null;
public anywheresoftware.b4a.objects.HorizontalScrollViewWrapper _vvvvvvvv2 = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlab = null;
public anywheresoftware.b4a.objects.PanelWrapper _vvvvvvvv5 = null;
public de.amberhome.quickaction.QuickAction3D _vvvvvvv0 = null;
public anywheresoftware.b4a.objects.ConcreteViewWrapper _vvvvvvvv6 = null;
public anywheresoftware.b4a.objects.ConcreteViewWrapper _vvvvvvvv4 = null;
public anywheresoftware.b4a.objects.TabHostWrapper _tabhost1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _vvvvvvvv7 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _vvvvvvvv0 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _vvvvvvvvv1 = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _ac_click(int _position,int _actionitemid) throws Exception{
de.amberhome.quickaction.ActionItem _action = null;
 //BA.debugLineNum = 57;BA.debugLine="Sub AC_Click (Position As Int, ActionItemID As Int";
 //BA.debugLineNum = 58;BA.debugLine="Dim Action As AHActionItem";
_action = new de.amberhome.quickaction.ActionItem();
 //BA.debugLineNum = 62;BA.debugLine="Action=ac2.GetActionItem(Position)";
_action = mostCurrent._vvvvvvv0.GetActionItem(_position);
 //BA.debugLineNum = 63;BA.debugLine="ToastMessageShow(Action.Title & \" pressed\", False";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(_action.getTitle()+" pressed",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 64;BA.debugLine="End Sub";
return "";
}
public static String  _ac_dismiss() throws Exception{
 //BA.debugLineNum = 67;BA.debugLine="Sub AC_Dismiss";
 //BA.debugLineNum = 68;BA.debugLine="ToastMessageShow(\"Dismissed\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Dismissed",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 69;BA.debugLine="End Sub";
return "";
}
public static String  _activity_create(boolean _firsttime) throws Exception{
anywheresoftware.b4a.objects.drawable.GradientDrawable _gd = null;
int[] _col = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmp1 = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmp2 = null;
 //BA.debugLineNum = 32;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 33;BA.debugLine="Activity.LoadLayout(\"Main.bal\")";
mostCurrent._activity.LoadLayout("Main.bal",mostCurrent.activityBA);
 //BA.debugLineNum = 34;BA.debugLine="AB.Initialize(pnlAB, True, True, pnlAB.Height, Me";
mostCurrent._vvvvvvvv1._initialize(mostCurrent.activityBA,mostCurrent._pnlab,anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True,mostCurrent._pnlab.getHeight(),main.getObject());
 //BA.debugLineNum = 37;BA.debugLine="HSV.Initialize(pnlAB.Width, \"\")";
mostCurrent._vvvvvvvv2.Initialize(mostCurrent.activityBA,mostCurrent._pnlab.getWidth(),"");
 //BA.debugLineNum = 38;BA.debugLine="HSV.Visible = False";
mostCurrent._vvvvvvvv2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 39;BA.debugLine="pnlAB.AddView(HSV, 0, 0, pnlAB.Width, pnlAB.Heigh";
mostCurrent._pnlab.AddView((android.view.View)(mostCurrent._vvvvvvvv2.getObject()),(int) (0),(int) (0),mostCurrent._pnlab.getWidth(),mostCurrent._pnlab.getHeight());
 //BA.debugLineNum = 40;BA.debugLine="AB2.Initialize(HSV.Panel, True, False, pnlAB.Heig";
mostCurrent._vvvvvvvv3._initialize(mostCurrent.activityBA,mostCurrent._vvvvvvvv2.getPanel(),anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.False,mostCurrent._pnlab.getHeight(),main.getObject());
 //BA.debugLineNum = 41;BA.debugLine="Dim gd As GradientDrawable, col(2) As Int";
_gd = new anywheresoftware.b4a.objects.drawable.GradientDrawable();
_col = new int[(int) (2)];
;
 //BA.debugLineNum = 42;BA.debugLine="col(0) = Colors.RGB(250, 225, 123)";
_col[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (250),(int) (225),(int) (123));
 //BA.debugLineNum = 43;BA.debugLine="col(1) = Colors.RGB(30, 30, 200)";
_col[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (30),(int) (30),(int) (200));
 //BA.debugLineNum = 44;BA.debugLine="gd.Initialize(\"TOP_BOTTOM\", col)";
_gd.Initialize(BA.getEnumFromString(android.graphics.drawable.GradientDrawable.Orientation.class,"TOP_BOTTOM"),_col);
 //BA.debugLineNum = 45;BA.debugLine="AB2.ReplacePressedDrawable(gd) 'Customization of";
mostCurrent._vvvvvvvv3._vvv7((Object)(_gd.getObject()));
 //BA.debugLineNum = 48;BA.debugLine="Dim bmp1, bmp2 As Bitmap";
_bmp1 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
_bmp2 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 49;BA.debugLine="bmp1 = LoadBitmap(File.DirAssets, \"share.png\")";
_bmp1 = anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"share.png");
 //BA.debugLineNum = 50;BA.debugLine="bmp2 = LoadBitmap(File.DirAssets, \"menu.png\")";
_bmp2 = anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"menu.png");
 //BA.debugLineNum = 52;BA.debugLine="TabHost1.AddTabWithIcon (\"Page1\", bmp1, bmp2, \"pa";
mostCurrent._tabhost1.AddTabWithIcon(mostCurrent.activityBA,"Page1",(android.graphics.Bitmap)(_bmp1.getObject()),(android.graphics.Bitmap)(_bmp2.getObject()),"page1");
 //BA.debugLineNum = 53;BA.debugLine="TabHost1.AddTab(\"Page2\", \"page2\")";
mostCurrent._tabhost1.AddTab(mostCurrent.activityBA,"Page2","page2");
 //BA.debugLineNum = 54;BA.debugLine="TabHost1.AddTab(\"Page3\", \"page3\")";
mostCurrent._tabhost1.AddTab(mostCurrent.activityBA,"Page3","page3");
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 91;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 92;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
anywheresoftware.b4a.objects.drawable.GradientDrawable _gd = null;
int[] _col = null;
 //BA.debugLineNum = 71;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 72;BA.debugLine="Dim gd As GradientDrawable, col(2) As Int";
_gd = new anywheresoftware.b4a.objects.drawable.GradientDrawable();
_col = new int[(int) (2)];
;
 //BA.debugLineNum = 74;BA.debugLine="BtnHome = AB.AddButton(LoadBitmap(File.DirAssets,";
mostCurrent._vvvvvvvv4 = mostCurrent._vvvvvvvv1._v6((Object)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"home.png").getObject()),"",(byte) (5),(short) (1),"","Home_Click");
 //BA.debugLineNum = 75;BA.debugLine="AB.Title.Left = AB.AsPanel.Height + 10dip";
mostCurrent._vvvvvvvv1._vvvvv3.setLeft((int) (mostCurrent._vvvvvvvv1._v7().getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))));
 //BA.debugLineNum = 76;BA.debugLine="AB.Title.Text = \"Title\"";
mostCurrent._vvvvvvvv1._vvvvv3.setText((Object)("Title"));
 //BA.debugLineNum = 77;BA.debugLine="AB.Title.TextSize = 20";
mostCurrent._vvvvvvvv1._vvvvv3.setTextSize((float) (20));
 //BA.debugLineNum = 78;BA.debugLine="AB.AddButton(LoadBitmap(File.DirAssets, \"share.pn";
mostCurrent._vvvvvvvv1._v6((Object)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"share.png").getObject()),"",(byte) (5),(short) (-1),"","Share_LongClick");
 //BA.debugLineNum = 79;BA.debugLine="AB.AddButton(LoadBitmap(File.DirAssets, \"refresh.";
mostCurrent._vvvvvvvv1._v6((Object)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"refresh.png").getObject()),"",(byte) (5),(short) (-1),"","Refresh_LongClick");
 //BA.debugLineNum = 80;BA.debugLine="AB.AddButton(LoadBitmap(File.DirAssets, \"menu.png";
mostCurrent._vvvvvvvv1._v6((Object)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"menu.png").getObject()),"",(byte) (5),(short) (-1),"","Menu_LongClick");
 //BA.debugLineNum = 81;BA.debugLine="AB.SetDividerWidth(2dip)";
mostCurrent._vvvvvvvv1._vvvv4((byte) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (2))));
 //BA.debugLineNum = 83;BA.debugLine="col(0) = Colors.RGB(255, 160, 90)";
_col[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (160),(int) (90));
 //BA.debugLineNum = 84;BA.debugLine="col(1) = Colors.RGB(255, 160, 90)";
_col[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (160),(int) (90));
 //BA.debugLineNum = 85;BA.debugLine="gd.Initialize(\"TOP_BOTTOM\", col)";
_gd.Initialize(BA.getEnumFromString(android.graphics.drawable.GradientDrawable.Orientation.class,"TOP_BOTTOM"),_col);
 //BA.debugLineNum = 87;BA.debugLine="AB.SetBackground(gd)";
mostCurrent._vvvvvvvv1._vvvv3((Object)(_gd.getObject()));
 //BA.debugLineNum = 89;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 16;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim AB, AB2 As ClsActionBar";
mostCurrent._vvvvvvvv1 = new flm.b4a.actionbardemo.clsactionbar();
mostCurrent._vvvvvvvv3 = new flm.b4a.actionbardemo.clsactionbar();
 //BA.debugLineNum = 20;BA.debugLine="Dim HSV As HorizontalScrollView";
mostCurrent._vvvvvvvv2 = new anywheresoftware.b4a.objects.HorizontalScrollViewWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim pnlAB As Panel";
mostCurrent._pnlab = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim pnlMain As Panel";
mostCurrent._vvvvvvvv5 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim ac2 As AHQuickAction3D";
mostCurrent._vvvvvvv0 = new de.amberhome.quickaction.QuickAction3D();
 //BA.debugLineNum = 25;BA.debugLine="Dim LastTab As View";
mostCurrent._vvvvvvvv6 = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim BtnHome As View";
mostCurrent._vvvvvvvv4 = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim TabHost1 As TabHost";
mostCurrent._tabhost1 = new anywheresoftware.b4a.objects.TabHostWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim txtName, txtAnimal, txtColor As EditText";
mostCurrent._vvvvvvvv7 = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._vvvvvvvv0 = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._vvvvvvvvv1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 30;BA.debugLine="End Sub";
return "";
}
public static String  _home_click(flm.b4a.actionbardemo.clsactionbar _actionbar,anywheresoftware.b4a.objects.ConcreteViewWrapper _btn) throws Exception{
int _i = 0;
de.amberhome.quickaction.ActionItem _ai = null;
String _filename = "";
String _text = "";
 //BA.debugLineNum = 99;BA.debugLine="Sub Home_Click(ActionBar As ClsActionBar, Btn As V";
 //BA.debugLineNum = 100;BA.debugLine="ac2.Initialize(\"AC\", ac2.VERTICAL)";
mostCurrent._vvvvvvv0.Initialize(processBA,"AC",mostCurrent._vvvvvvv0.VERTICAL);
 //BA.debugLineNum = 101;BA.debugLine="For i = 1 To 7";
{
final int step2 = 1;
final int limit2 = (int) (7);
for (_i = (int) (1) ; (step2 > 0 && _i <= limit2) || (step2 < 0 && _i >= limit2); _i = ((int)(0 + _i + step2)) ) {
 //BA.debugLineNum = 102;BA.debugLine="Dim ai As AHActionItem";
_ai = new de.amberhome.quickaction.ActionItem();
 //BA.debugLineNum = 104;BA.debugLine="Dim Filename, Text As String";
_filename = "";
_text = "";
 //BA.debugLineNum = 106;BA.debugLine="Select i";
switch (_i) {
case 1: {
 //BA.debugLineNum = 109;BA.debugLine="Text = \"Prev\"";
_text = "Prev";
 break; }
case 2: {
 //BA.debugLineNum = 112;BA.debugLine="Text = \"Next\"";
_text = "Next";
 break; }
case 3: {
 //BA.debugLineNum = 115;BA.debugLine="Text = \"Info\"";
_text = "Info";
 break; }
case 4: {
 //BA.debugLineNum = 118;BA.debugLine="Text = \"Delete\"";
_text = "Delete";
 break; }
case 5: {
 //BA.debugLineNum = 121;BA.debugLine="Text = \"Search\"";
_text = "Search";
 break; }
case 6: {
 //BA.debugLineNum = 124;BA.debugLine="Text = \"Cancel\"";
_text = "Cancel";
 break; }
case 7: {
 //BA.debugLineNum = 127;BA.debugLine="Text = \"Ok\"";
_text = "Ok";
 break; }
}
;
 //BA.debugLineNum = 132;BA.debugLine="ai.Initialize(i, Text, Null)";
_ai.Initialize(_i,_text,(android.graphics.drawable.Drawable)(anywheresoftware.b4a.keywords.Common.Null));
 //BA.debugLineNum = 133;BA.debugLine="ai.Selected = True";
_ai.setSelected(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 136;BA.debugLine="If i = 1 Or i = 2 Then ai.Sticky = True";
if (_i==1 || _i==2) { 
_ai.setSticky(anywheresoftware.b4a.keywords.Common.True);};
 //BA.debugLineNum = 140;BA.debugLine="ac2.addActionItem(ai)";
mostCurrent._vvvvvvv0.AddActionItem(_ai);
 }
};
 //BA.debugLineNum = 144;BA.debugLine="ac2.Show(Sender)";
mostCurrent._vvvvvvv0.Show((android.view.View)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 145;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 11;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return "";
}
public static String  _refresh_click(flm.b4a.actionbardemo.clsactionbar _actionbar,anywheresoftware.b4a.objects.ConcreteViewWrapper _btn) throws Exception{
 //BA.debugLineNum = 94;BA.debugLine="Sub Refresh_Click(ActionBar As ClsActionBar, Btn A";
 //BA.debugLineNum = 95;BA.debugLine="Msgbox(\"In this demo, this button does nothing.\",";
anywheresoftware.b4a.keywords.Common.Msgbox("In this demo, this button does nothing.","Refresh",mostCurrent.activityBA);
 //BA.debugLineNum = 96;BA.debugLine="End Sub";
return "";
}
public static String  _refresh_longclick(flm.b4a.actionbardemo.clsactionbar _actionbar,anywheresoftware.b4a.objects.ConcreteViewWrapper _btn) throws Exception{
 //BA.debugLineNum = 151;BA.debugLine="Sub Refresh_LongClick(ActionBar As ClsActionBar, B";
 //BA.debugLineNum = 152;BA.debugLine="ToastMessageShow(\"Refresh\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Refresh",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _share_longclick(flm.b4a.actionbardemo.clsactionbar _actionbar,anywheresoftware.b4a.objects.ConcreteViewWrapper _btn) throws Exception{
 //BA.debugLineNum = 147;BA.debugLine="Sub Share_LongClick(ActionBar As ClsActionBar, Btn";
 //BA.debugLineNum = 148;BA.debugLine="ToastMessageShow(\"Share\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Share",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return "";
}
}
